Page MenuHomePhabricator

Thumbnails for specific PDF file on Commons not generated: "no decode delegate for this image format"
Closed, ResolvedPublic

Description

I have some issues with this file:
https://commons.wikimedia.org/wiki/File:Welcome_2WP_Serbian_04-16-2012.pdf

I can't see its first page, not even as a thumbnail in the File history section, although you can see it's there if you download the original file.

If I click on the various sizes links, I get the following error messages:

Error generating thumbnail - There have been too many recent failed attempts (4 or more) to render this thumbnail. Please try again later.

or

Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon. Please try again in a few minutes.


Version: wmf-deployment
Severity: normal
Exempels: https://commons.wikimedia.org/wiki/Category:PDF_files_with_errors
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71327

Details

Reference
bz70734

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:53 AM
bzimport set Reference to bz70734.
bzimport added a subscriber: Unknown Object (MLST).
Elitre created this task.Sep 11 2014, 6:51 PM
Tgr added a comment.Sep 11 2014, 10:01 PM

The error message is

2014-09-11 21:57:33 mw1156 commonswiki: thumbnail failed on mw1156: error 1 "**** Warning: considering '0000000000 XXXXX n' as a free entry.

  • Warning: considering '0000000000 XXXXX n' as a free entry.

(...line repeats 122 times...)

  • Warning: considering '0000000000 XXXXX n' as a free entry.

convert: no decode delegate for this image format `/tmp/magick-pF48VPYV' @ error/constitute.c/ReadImage/532.
convert: missing an image filename `/tmp/transform_4ffaf3e633a6-1.jpg' @ error/convert.c/ConvertImageCommand/3011." from "('gs' '-sDEVICE=jpeg' '-sOutputFile=-' '-dFirstPage=1' '-dLastPage=1' '-r150' '-dBATCH' '-dNOPAUSE' '-q' '/tmp/localcopy_3d29485c72ff-1.pdf' | 'convert' '-depth' '8' '-quality' '95' '-resize' '422' '-' '/tmp/transform_4ffaf3e633a6-1.jpg')"

Both evince and xpdf take a long time to display the first page of the pdf file (Although they eventually do display it). Maybe something funky with this particular file?

I tried to upload it again to test but nothing changes. :/

As an update, I tried to overwrite the image by getting a new cover to the pdf. While it now opens correctly in preview on my Mac, it still doesn't generate the thumbnails (I also uploaded it at https://commons.wikimedia.org/w/index.php?title=File:Welcome_2WP_Serbian_04-16-2012_.pdf&page=1 , and this one actually gave me some "too many pixels" error message).
Can you recommend the best way to proceed? Thanks.

Aklapper renamed this task from Thumbnails for a specific PDF file on Commons not generated to Thumbnails for specific PDF file on Commons not generated: "no decode delegate for this image format".Dec 29 2014, 11:48 AM
Aklapper set Security to None.

I looked into that file. File took insanely long (about 10 minutes) for ghostscript to render. My guess is ghostscript took more than the $wgMaxShellTime limit, thus gs died and sent convert something that was not a file. image magick gave that error. I don't know if there's anything we can realistically do in such a situation. We probably do not want limits being what would be required in order to render this file (Assuming I'm right in that is what is causing this).

I looked into that file. File took insanely long (about 10 minutes) for ghostscript to render. My guess is ghostscript took more than the $wgMaxShellTime limit, thus gs died and sent convert something that was not a file. image magick gave that error. I don't know if there's anything we can realistically do in such a situation. We probably do not want limits being what would be required in order to render this file (Assuming I'm right in that is what is causing this).

I can reupload them after optimization. I do not know how to do that though...

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:31 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:31 PM
Restricted Application added projects: Multimedia, Commons. · View Herald TranscriptJan 26 2016, 4:18 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Feb 13 2016, 5:35 PM
Perhelion updated the task description. (Show Details)Jun 8 2017, 2:10 PM
Aklapper closed this task as Resolved.Nov 16 2017, 12:37 AM

All three test cases provided in this task work nowadays (maybe because of switching the backend to Thumbor), hence closing task as resolved.